From c213e34cdd420ae1acf51f92fd8a641cd381cbe5 Mon Sep 17 00:00:00 2001
From: Tomas Janousek <tomi@nomi.cz>
Date: Thu, 17 May 2007 16:54:13 +0200
Subject: [PATCH] Add attention in mapRequestEvent if userFollowModel is Ignore

FluxboxWindow::focus does it this way, mapRequestEvent should as well.

Signed-off-by: Tomas Janousek <tomi@nomi.cz>
---
 src/Window.cc |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

diff --git a/src/Window.cc b/src/Window.cc
index ef22729..d91cff2 100644
--- a/src/Window.cc
+++ b/src/Window.cc
@@ -2357,8 +2357,10 @@ void FluxboxWindow::mapRequestEvent(XMapRequestEvent &re) {
     if (screen().currentWorkspaceID() != workspaceNumber() && !isStuck()) {
         menu().hide();
         BScreen::FollowModel model = screen().getUserFollowModel();
-        if (model == BScreen::IGNORE_OTHER_WORKSPACES)
+        if (model == BScreen::IGNORE_OTHER_WORKSPACES) {
+            Fluxbox::instance()->attentionHandler().addAttention(*this);
             return;
+        }
         // fetch the window to the current workspace
         if (model == BScreen::FETCH_ACTIVE_WINDOW ||
             (isIconic() && model == BScreen::SEMIFOLLOW_ACTIVE_WINDOW))
-- 
1.5.1.4

